## org.junit.runner.manipulation
Interface Ordering.Factory

All Known Implementing Classes:
  Alphanumeric

Enclosing class:
  Ordering

    public static interface Ordering.Factory

Factory for creating `Ordering` instances.

For a factory to be used with `@OrderWith` it needs to have a public no-arg constructor.

Method Summary
`Ordering` `create(Ordering.Context context)` Creates an Ordering instance using the given context.

Method Detail

### create

    Ordering create(Ordering.Context context)

  Creates an Ordering instance using the given context. Implementations of this method that do not need to use the context can return the same instance every time.

Copyright © 2002–2020 JUnit. All rights reserved.